.. _vim.vm.device.VirtualEthernetCardOption: ../../../../vim/vm/device/VirtualEthernetCardOption.rst

.. _vim.vm.device.VirtualEthernetCardOption.MacTypes: ../../../../vim/vm/device/VirtualEthernetCardOption/MacTypes.rst

vim.vm.device.VirtualEthernetCardOption.MacTypes
================================================
  The enumeration of all known valid MAC address types.
  :contained by: `vim.vm.device.VirtualEthernetCardOption`_

  :type: `vim.vm.device.VirtualEthernetCardOption.MacTypes`_

  :name: assigned

values:
--------

assigned
   A MAC address assigned by VirtualCenter.

generated
   An automatically generated MAC address.

manual
   A statistically assigned MAC address.
